compact1, compact2, compact3
java.io

## Class InvalidObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.InvalidObjectException

- All Implemented Interfaces:
    Serializable

      public class InvalidObjectException
      extends ObjectStreamException

  Indicates that one or more deserialized objects failed validation tests. The argument should provide the reason for the failure.
  Since:
    JDK1.1, JDK1.1
  See Also:
    `ObjectInputValidation`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidObjectException(String reason)` Constructs an `InvalidObjectException`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidObjectException

          public InvalidObjectException(String reason)

      Constructs an `InvalidObjectException`.
      Parameters:
        `reason` - Detailed message explaining the reason for the failure.
      See Also:
        `ObjectInputValidation`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.